Skip to main content
GET
List inventory movements

Authorizations

Authorization
string
header
required

Bearer API key from Settings → API Keys. Use restricted keys (prefix retrac_) with the minimum scopes required.

Query Parameters

workspaceId
string
required

The ID of the workspace.

Example:

"ws_cluuwcv0r..."

projectSlug
string
deprecated

The slug of the project. This field is deprecated – use workspaceId instead.

itemId
string
locationId
string
movementType
enum<string>
Available options:
opening,
transfer_out,
transfer_in,
transfer_revert_out,
transfer_revert_in,
adjustment_plus,
adjustment_minus,
receipt,
issue,
return
transferId
string
createdByUserId
string
interval
enum<string>
Available options:
24h,
7d,
30d,
90d,
ytd,
1y,
all,
all_unfiltered
start
string<date-time>
end
string<date-time>
category
enum<string>
Available options:
transfers
sortBy
enum<string>
default:occurredAt
Available options:
occurredAt,
quantity
sortOrder
enum<string>
default:desc
Available options:
asc,
desc
page
integer
default:1
Required range: x >= 1
pageSize
integer
default:50
Required range: 1 <= x <= 200

Response

A list of inventory movements

id
string
required
itemId
string
required
movementType
enum<string>
required
Available options:
opening,
transfer_out,
transfer_in,
transfer_revert_out,
transfer_revert_in,
adjustment_plus,
adjustment_minus,
receipt,
issue,
return
quantity
integer
required
fromLocationId
string | null
required
toLocationId
string | null
required
transferId
string | null
required
note
string | null
required
occurredAt
string<date-time>
required